<?php
use Drupal\redis_logger\Form\Overview;
use Redis\Logger\Reader;

/**
 * @file
 * Administrative controllers for the Redis Logger module.
 */

function redis_logger_form_overview($form, &$form_state) {
  $redis = Redis_Client::getClient();
  $reader = new Reader($redis);
  $overview = new Overview($reader);
  $form = $overview->build($form, $form_state);
  return $form;
}

function redis_logger_form_overview_submit($form, &$form_state) {
  dsm('Submitting overview');
}

function redis_logger_form_overview_validate($form, &$form_state) {
  dsm('Validating overview');
}

function redis_logger_clear_log_submit($form, &$form_state) {
  dsm('Submitted clear');
}

function redis_logger_filter_submit($form, &$form_state) {
  $overview = new Overview($form_state['reader']);
  $overview->submitFilter($form, $form_state);
}

function redis_logger_filter_reset_submit($form, &$form_state) {
  $overview = new Overview($form_state['reader']);
  $overview->submitFilterReset($form, $form_state);
}

/**
 * TODO implement. Beware of XSS.
 *
 * @param string $template
 *
 * @return string
 */
function redis_logger_page_event($template) {
  return check_plain($template);
}
